# ``twisted`.`protocols`.`ftp`.`_FileReader``

class documentation

`class _FileReader: (source)`

Implements interfaces: `twisted.protocols.ftp.IReadFile`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `send` | Produce the contents of the given path to the given consumer. This method may only be invoked once on each provider.
Instance Variable | `fObj` | Undocumented
Method | `_close` | Undocumented
Instance Variable | `_send` | Undocumented

def __init__(self, fObj): (source)

Undocumented

def send(self, consumer): (source)
from `twisted.protocols.ftp.IReadFile`
Produce the contents of the given path to the given consumer. This method may only be invoked once on each provider.

Parameters
consumer:`IConsumer` | Undocumented
Returns
A Deferred which fires when the file has been consumed completely.

fObj = (source)

Undocumented

def _close(self, passthrough): (source)

Undocumented

_send: `bool` = (source)

Undocumented